Subject: Bug#1458: [X2Go-Dev] Bug#1458: Bug#1458: Bug#1458: unattended Debian installations (using preseed) fail when x2gobroker-ssh is involved

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 17 Apr 2020 21:59:59 +0200

On Fri, Apr 17, 2020 at 8:36 PM Stefan Baur <[email-masked]> wrote:
> let me make this clear, in case you missed the "severity: important" tag
> I gave this bug:

Yes, I did.

> Currently, all automated Debian installs for x2gobroker-ssh are failing
> due to this faulty piece of code.

So, let's make this clear: Code, which should not be there at all ist
now breaking installation. That's exactly my point... It should not be
there.

I have just checked on my Debian 10. Here's a snipped from /usr/sbin/groupadd:
...
    printf (gtx("Adding group `%s' (GID %d)
...\n"),$new_name,$new_gid) if $verbose;
    &invalidate_nscd("group");
    my $groupadd = &which('groupadd');
    &systemcall($groupadd, '-g', $new_gid, $new_name);
    &invalidate_nscd("group");
    print (gtx("Done.\n")) if $verbose;
...

So this is where this kind of code belongs to. Debian has everything in place.

So I agree that this should be fixed asap in x2gobroker-ssh, but it
should be fixed by removing the nscd code altogether.

> So if we remove it, we're likely to get another bug report tagged
> "severity: important", just coming from the other direction, begging us
> to add this code again.

No, those people begging for it can be instructed to check their
distro. And to run the flush manually. Or even to simply reboot.

> That is why our only option right now is to deploy this patch into
> stable ASAP, to make the code do what it is supposed to do - flush the
> cache IF nscd is RUNNING, and ONLY THEN.
>
> No one is claiming that this is a magic cure-all for every problem there
> may be with nscd or sssd caching.

I see it - as this bug report proves - as an unneccessary source for problems.

Uli